package simAuxLibrary;

/**
 * <p>Library simAuxLibrary, Class SimLibraryError</p><p>Copyright by
 * Klaus Hufschlag 2004, 2005<p>This file is part of the Generic Classifier
 * Library. The Generic Classifier Library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version. The Generic Classifier
 * Library is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License along with
 * the Generic Classifier Library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.</p>
 * 
 * @author Klaus Hufschlag
 * @version 1.4
 */
public class SimLibraryError extends RuntimeException {
	public SimLibraryError() {
		super();
	}

	

	/**
	 * Constructor of an own error-class, used to distinguish from common errors. 
	 * @param message The error message.
	 */
	public SimLibraryError(String message) {
		super(message);
	}
}